<?php

//
// Custom Post Type: Announcement
//
add_action( 'init', 'meanthemes_create_announcement_post_type' );

function meanthemes_create_announcement_post_type() {

	if ( current_theme_supports( 'meanthemes_announcement_support' ) ) {

		$labels = array(
			'name'               => _x( 'Announcements', 'post type general name', 'meanthemes' ),
			'singular_name'      => _x( 'Announcement', 'post type singular name', 'meanthemes' ),
			'add_new'            => _x( 'Add New', 'announcement item', 'meanthemes' ),
			'add_new_item'       => __( 'Add New Announcement', 'meanthemes' ),
			'edit_item'          => __( 'Edit Announcement', 'meanthemes' ),
			'new_item'           => __( 'New Announcement', 'meanthemes' ),
			'view_item'          => __( 'View Announcements', 'meanthemes' ),
			'search_items'       => __( 'Search Announcement ', 'meanthemes' ),
			'not_found'          => __( 'Nothing found', 'meanthemes' ),
			'not_found_in_trash' => __( 'Nothing found in Trash', 'meanthemes' ),
			'parent_item_colon'  => '',
		);

		$args = array(
			'labels'             => $labels,
			'public'             => false,
			'publicly_queryable' => false,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'menu_icon'          => 'dashicons-megaphone',
			'rewrite'            => false,
			'capability_type'    => 'post',
			'hierarchical'       => true,
			'menu_position'      => null,
			'supports'           => array( 'title', 'revisions', 'editor', 'page-attributes' ),
		);

		register_post_type( 'announcement', $args );

	}
}
