<?php
//
// Custom Post Type: Client Logo
//
add_action( 'init', 'meanthemes_create_logo_post_type' );
function meanthemes_create_client_logo_post_type() {

	global $meanthemes_tools_options;

	if ( current_theme_supports( 'meanthemes_client_logo_support' ) ) {

		$labels = array(
			'name'               => _x( 'Client Logos', 'post type general name', 'meanthemes' ),
			'singular_name'      => _x( 'Client Logo', 'post type singular name', 'meanthemes' ),
			'add_new'            => _x( 'Add New', 'client_logo item', 'meanthemes' ),
			'add_new_item'       => __( 'Add New Client  Logo', 'meanthemes' ),
			'edit_item'          => __( 'Edit Client  Logo', 'meanthemes' ),
			'new_item'           => __( 'New Client  Logo', 'meanthemes' ),
			'view_item'          => __( 'View Client  Logos', 'meanthemes' ),
			'search_items'       => __( 'Search Client ', 'meanthemes' ),
			'not_found'          => __( 'Nothing found', 'meanthemes' ),
			'not_found_in_trash' => __( 'Nothing found in Trash', 'meanthemes' ),
			'parent_item_colon'  => '',
		);

		$args = array(
			'labels'             => $labels,
			'public'             => false,
			'publicly_queryable' => false,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'menu_icon'          => 'dashicons-heart',
			'rewrite'            => false,
			'capability_type'    => 'post',
			'hierarchical'       => true,
			'menu_position'      => null,
			'supports'           => array( 'title', 'thumbnail', 'revisions', 'page-attributes' ),
		);

		register_post_type( 'client_logo', $args );
	}
}
add_action( 'init', 'meanthemes_create_client_logo_post_type' );
