<?php
//
// Custom Post Type: Homepage Item
//
add_action( 'init', 'meanthemes_create_homepage_item_post_type' );
function meanthemes_create_homepage_item_post_type() {

	global $meanthemes_tools_options;

	if ( current_theme_supports( 'meanthemes_homepage_item_support' ) ) {
		register_post_type(
			'meanthemes-homepage',
			array(
				'labels'      => array(
					'name'               => _x( 'Homepage Items', 'post type general name', 'meanthemes' ),
					'singular_name'      => _x( 'Homepage Item', 'post type singular name', 'meanthemes' ),
					'add_new'            => _x( 'Add New', 'homepage item', 'meanthemes' ),
					'add_new_item'       => __( 'Add New Homepage Item', 'meanthemes' ),
					'edit_item'          => __( 'Edit Homepage Item', 'meanthemes' ),
					'new_item'           => __( 'New Homepage Item', 'meanthemes' ),
					'view_item'          => __( 'View Homepage Item', 'meanthemes' ),
					'search_items'       => __( 'Search Homepage Items', 'meanthemes' ),
					'not_found'          => __( 'Nothing found', 'meanthemes' ),
					'not_found_in_trash' => __( 'Nothing found in Trash', 'meanthemes' ),
					'parent_item_colon'  => '',
				),
				'public'      => true,
				'has_archive' => false,
				'menu_icon'   => 'dashicons-editor-justify',
				'rewrite'     => false,
				'supports'    => array( 'title', 'revisions' ),
			)
		);
	}
}
