<?php
//
// Custom Post Type: Services
//
add_action( 'init', 'meanthemes_create_service_post_type' );
function meanthemes_create_service_post_type() {

	global $meanthemes_tools_options;

	if ( current_theme_supports( 'meanthemes_service_support' ) ) {

		$options = get_option( 'meanthemes_tools_settings' );

		// Set default value
		if ( ( isset( $options['meanthemes_tools_slug_service'] ) ) && ( $options['meanthemes_tools_slug_service'] ) ) {
			$slug = $options['meanthemes_tools_slug_service'];
		} else {
			$slug = __( 'service', 'meanthemes' );
		}

		register_post_type(
			'service',
			array(
				'labels'      => array(
					'name'               => _x( 'Services', 'post type general name', 'meanthemes' ),
					'singular_name'      => _x( 'Services', 'post type singular name', 'meanthemes' ),
					'add_new'            => _x( 'Add New', 'service item', 'meanthemes' ),
					'add_new_item'       => __( 'Add New Service', 'meanthemes' ),
					'edit_item'          => __( 'Edit Services', 'meanthemes' ),
					'new_item'           => __( 'New Services', 'meanthemes' ),
					'view_item'          => __( 'View Services', 'meanthemes' ),
					'search_items'       => __( 'Search Services', 'meanthemes' ),
					'not_found'          => __( 'Nothing found', 'meanthemes' ),
					'not_found_in_trash' => __( 'Nothing found in Trash', 'meanthemes' ),
					'parent_item_colon'  => '',
				),
				'public'      => true,
				'has_archive' => true,
				'menu_icon'   => 'dashicons-list-view',
				'rewrite'     => array( 'slug' => $slug ),
				'supports'    => array( 'title', 'editor', 'thumbnail', 'revisions' ),
			)
		);
	}
}


// Register Services Taxonomy
function service_taxonomies() {

	if ( current_theme_supports( 'meanthemes_service_support' ) ) {

		// Use options to fill in slug
		$options = get_option( 'meanthemes_tools_settings' );

		// Set default value
		if ( ( isset( $options['meanthemes_tools_slug_service_category'] ) ) && ( $options['meanthemes_tools_slug_service_category'] ) ) {
			$slug = $options['meanthemes_tools_slug_service_category'];
		} else {
			$slug = __( 'service-categories', 'meanthemes' );
		}

		register_taxonomy(
			'service-categories',
			'service',
			array(
				'hierarchical' => true,
				'label'        => __( 'Services Categories', 'meanthemes' ),
				'query_var'    => true,
				'rewrite'      => array( 'slug' => $slug ),
			)
		);

	}

}
add_action( 'init', 'service_taxonomies', 0 );
