<?php
//
// Custom Post Type: Slider
//
add_action( 'init', 'meanthemes_create_slider_post_type' );
function meanthemes_create_slider_post_type() {

	global $meanthemes_tools_options;

	if ( current_theme_supports( 'meanthemes_slider_support' ) ) {

		$options = get_option( 'meanthemes_tools_settings' );

		// Set default value
		if ( ( isset( $options['meanthemes_tools_slug_slider'] ) ) && ( $options['meanthemes_tools_slug_slider'] ) ) {
			$slug = $options['meanthemes_tools_slug_slider'];
		} else {
			$slug = __( 'slider', 'meanthemes' );
		}

		register_post_type(
			'slider',
			array(
				'labels'              => array(
					'name'               => _x( 'Sliders', 'post type general name', 'meanthemes' ),
					'singular_name'      => _x( 'Slider', 'post type singular name', 'meanthemes' ),
					'add_new'            => _x( 'Add New', 'slider item', 'meanthemes' ),
					'add_new_item'       => __( 'Add New Slider', 'meanthemes' ),
					'edit_item'          => __( 'Edit Slider', 'meanthemes' ),
					'new_item'           => __( 'New Slider', 'meanthemes' ),
					'view_item'          => __( 'View Slider', 'meanthemes' ),
					'search_items'       => __( 'Search Sliders', 'meanthemes' ),
					'not_found'          => __( 'Nothing found', 'meanthemes' ),
					'not_found_in_trash' => __( 'Nothing found in Trash', 'meanthemes' ),
					'parent_item_colon'  => '',
				),
				'public'              => false,
				'publicly_queriable'  => true,
				'show_ui'             => true,
				'exclude_from_search' => true,
				'show_in_nav_menus'   => false,
				'has_archive'         => false,
				'menu_icon'           => 'dashicons-slides',
				'rewrite'             => false,
				'supports'            => array( 'title', 'editor', 'thumbnail', 'revisions' ),
			)
		);
	}
}
