<?php
//
// Custom Post Type: Team
//
add_action( 'init', 'meanthemes_create_team_post_type' );
function meanthemes_create_team_post_type() {

	global $meanthemes_tools_options;

	if ( current_theme_supports( 'meanthemes_team_support' ) ) {

		$options = get_option( 'meanthemes_tools_settings' );

		// Set default value
		if ( ( isset( $options['meanthemes_tools_slug_team'] ) ) && ( $options['meanthemes_tools_slug_team'] ) ) {
			$slug = $options['meanthemes_tools_slug_team'];
		} else {
			$slug = __( 'team', 'meanthemes' );
		}

		register_post_type(
			'team',
			array(
				'labels'      => array(
					'name'               => _x( 'Team', 'post type general name', 'meanthemes' ),
					'singular_name'      => _x( 'Team', 'post type singular name', 'meanthemes' ),
					'add_new'            => _x( 'Add New', 'team item', 'meanthemes' ),
					'add_new_item'       => __( 'Add New Team Member', 'meanthemes' ),
					'edit_item'          => __( 'Edit Team', 'meanthemes' ),
					'new_item'           => __( 'New Team', 'meanthemes' ),
					'view_item'          => __( 'View Team', 'meanthemes' ),
					'search_items'       => __( 'Search Team', 'meanthemes' ),
					'not_found'          => __( 'Nothing found', 'meanthemes' ),
					'not_found_in_trash' => __( 'Nothing found in Trash', 'meanthemes' ),
					'parent_item_colon'  => '',
				),
				'public'      => true,
				'has_archive' => true,
				'menu_icon'   => 'dashicons-groups',
				'rewrite'     => array( 'slug' => $slug ),
				'supports'    => array( 'title', 'editor', 'thumbnail', 'revisions' ),
			)
		);
	}
}


// Register Team Taxonomy
function team_taxonomies() {

	if ( current_theme_supports( 'meanthemes_team_support' ) ) {
					// Use options to fill in slug
					$options = get_option( 'meanthemes_tools_settings' );

					// Set default value
		if ( ( isset( $options['meanthemes_tools_slug_team_category'] ) ) && ( $options['meanthemes_tools_slug_team_category'] ) ) {
			$slug = $options['meanthemes_tools_slug_team_category'];
		} else {
			$slug = __( 'team-categories', 'meanthemes' );
		}

					register_taxonomy(
						'team-categories',
						'team',
						array(
							'hierarchical' => true,
							'label'        => __( 'Team Categories', 'meanthemes' ),
							'query_var'    => true,
							'rewrite'      => array( 'slug' => $slug ),
						)
					);

	}
}
add_action( 'init', 'team_taxonomies', 0 );
