<?php
//
// Custom Post Type: Testimonial
//
add_action( 'init', 'meanthemes_create_testimonial_post_type' );
function meanthemes_create_testimonial_post_type() {

	global $meanthemes_tools_options;

	if ( current_theme_supports( 'meanthemes_testimonial_support' ) ) {

		$options = get_option( 'meanthemes_tools_settings' );

		// Set default value
		if ( ( isset( $options['meanthemes_tools_slug_testimonial'] ) ) && ( $options['meanthemes_tools_slug_testimonial'] ) ) {
			$slug = $options['meanthemes_tools_slug_testimonial'];
		} else {
			$slug = __( 'testimonial', 'meanthemes' );
		}

		register_post_type(
			'testimonial',
			array(
				'labels'              => array(
					'name'               => _x( 'Testimonials', 'post type general name', 'meanthemes' ),
					'singular_name'      => _x( 'Testimonial', 'post type singular name', 'meanthemes' ),
					'add_new'            => _x( 'Add New', 'testimonial item', 'meanthemes' ),
					'add_new_item'       => __( 'Add New Testimonial', 'meanthemes' ),
					'edit_item'          => __( 'Edit Testimonial', 'meanthemes' ),
					'new_item'           => __( 'New Testimonial', 'meanthemes' ),
					'view_item'          => __( 'View Testimonial', 'meanthemes' ),
					'search_items'       => __( 'Search Testimonials', 'meanthemes' ),
					'not_found'          => __( 'Nothing found', 'meanthemes' ),
					'not_found_in_trash' => __( 'Nothing found in Trash', 'meanthemes' ),
					'parent_item_colon'  => '',
				),
				'public'              => false,
				'publicly_queriable'  => true,
				'show_ui'             => true,
				'exclude_from_search' => true,
				'show_in_nav_menus'   => false,
				'has_archive'         => false,
				'menu_icon'           => 'dashicons-testimonial',
				'rewrite'             => false,
				'supports'            => array( 'title', 'editor', 'thumbnail', 'revisions' ),
			)
		);
	}
}
