<?php
function meanthemes_tools_register_customizer( $wp_customize ) {
	$wp_customize->add_section(
		'meanthemes_tools_additional_scripts',
		array(
			'title'    => __( 'Additional Scripts', 'literary' ),
			'priority' => 73,
		)
	);

	class Additional_Scripts_Control extends WP_Customize_Control {
		public $type = 'additional_scripts';

		public function render_content() {
			?>
			<label>
				<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				<textarea rows="7" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
			</label>
			<?php
		}
	}

	$wp_customize->add_setting(
		'meanthemes_tools_header_scripts',
		array(
			'sanitize_callback' => 'balanceTags',
			'type'              => 'option',
		)
	);

	$wp_customize->add_control(
		new Additional_Scripts_Control(
			$wp_customize,
			'meanthemes_tools_header_scripts',
			array(
				'label'    => 'Header Scripts / Analytics',
				'section'  => 'meanthemes_tools_additional_scripts',
				'settings' => 'meanthemes_tools_header_scripts',
				'priority' => 10,
			)
		)
	);
}
add_action( 'customize_register', 'meanthemes_tools_register_customizer' );
